local naughty = require('naughty')

return (function()
	local status, settings = pcall(function()
		return dofile(os.getenv('HOME') .. '/.config/awesome/settings.lua')
	end)
	if status then
		return settings
	else
		naughty.notify({
			preset = naughty.config.presets.critical,
			title = 'Error while parsing settings!',
			text = settings,
		})
		return {}
	end
end)()
